### Hierarchy

- AIListTargetDirective

## Index

### Inputs

- targetPosition
- targetSize

### Outputs

- dragEnter
- dragLeave
- dragOver
- dropping

### Constructors

- constructor

### Properties

- dragEnter
- dragLeave
- dragOver
- dropping
- isActive
- targetPosition
- targetSize

### Accessors

- height
- isAbove
- isAboveOver
- isBelow
- isBelowOver
- isNested
- isNestedOver

### Methods

- dragover
- handleDragEnter
- handleDrop
- handleLeave

## Constructors

### constructor

- new AIListTargetDirective(): AIListTargetDirective

- #### Returns AIListTargetDirective

## Properties

### dragEnter

@Output()
dragEnter: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:17

### dragLeave

@Output()
dragLeave: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:15

### dragOver

@Output()
dragOver: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:13

### dropping

@Output()
dropping: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:11

### isActive

isActive: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:19

### targetPosition

@Input()
targetPosition: "nested" | "above" | "below" = 'below'

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:7

### targetSize

@Input()
targetSize: number = 33

- Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:9

## Accessors

### height

@HostBinding({"hostPropertyName":"'style.height'"})

- get height(): string

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:45

  #### Returns string

### isAbove

@HostBinding({"hostPropertyName":"'class.iot--list-item-editable--drop-target-above'"})

- get isAbove(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:25

  #### Returns boolean

### isAboveOver

@HostBinding({"hostPropertyName":"'class.iot--list-item-editable--drop-target-above__over'"})

- get isAboveOver(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:37

  #### Returns boolean

### isBelow

@HostBinding({"hostPropertyName":"'class.iot--list-item-editable--drop-target-below'"})

- get isBelow(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:29

  #### Returns boolean

### isBelowOver

@HostBinding({"hostPropertyName":"'class.iot--list-item-editable--drop-target-below__over'"})

- get isBelowOver(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:41

  #### Returns boolean

### isNested

@HostBinding({"hostPropertyName":"'class.iot--list-item-editable--drop-target-nested'"})

- get isNested(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:21

  #### Returns boolean

### isNestedOver

@HostBinding({"hostPropertyName":"'class.iot--list-item-editable--drop-target-nested__over'"})

- get isNestedOver(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:33

  #### Returns boolean

## Methods

### dragover

@HostListener({"eventName":"'dragover'","args":"['$event']"})

- dragover(event: DragEvent): void

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:56

  #### Parameters

  - ##### event: DragEvent

  #### Returns void

### handleDragEnter

@HostListener({"eventName":"'dragenter'","args":"['$event']"})

- handleDragEnter(event: DragEvent): void

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:50

  #### Parameters

  - ##### event: DragEvent

  #### Returns void

### handleDrop

@HostListener({"eventName":"'drop'","args":"['$event']"})

- handleDrop(event: DragEvent): void

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:61

  #### Parameters

  - ##### event: DragEvent

  #### Returns void

### handleLeave

@HostListener({"eventName":"'dragleave'","args":"['event']"})

- handleLeave(event: DragEvent): void

- - Defined in packages/angular/src/list/list-item/ai-list-target.directive.ts:66

  #### Parameters

  - ##### event: DragEvent

  #### Returns void

Generated using TypeDoc